#! /usr/bin/perl
# 
# $Id: autogen.pl,v 1.1 2003/07/10 11:58:13 short Exp $
# Run to generate the initial Makefiles etc. after CVS checkout.
# Copyright (C) 2003 Jan Kratochvil <project-mdsms@jankratochvil.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; exactly version 2 of June 1991 is required
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


require 5.6.0;	# at least 'use warnings;' but we need some 5.6.0+ modules anyway
use vars qw($VERSION);
$VERSION=do { my @r=(q$Revision: 1.1 $=~/\d+/g); sprintf "%d.".("%03d"x$#r),@r; };
use strict;
use warnings;

use lib "./macros/";
use AutoGen;

use Carp qw(cluck confess);


AutoGen->run(
		"name"=>"mdsms",
		"COPYRIGHT_HOLDER"=>'Jan Kratochvil <project-mdsms@jankratochvil.net>',
		"ARGV"=>\@ARGV,
		"clean"=>[qw(
				./mdsms
				./mdsms.1
				./mdsms.1.in2
				./manfmt
				)],
		);
