/* acconfig.h  Generated manually for use by autoheader.  */
/*
 * $Id: acconfig.h,v 1.12 2001/12/16 20:31:54 short Exp $
 */

/* Define if your locale.h file contains LC_MESSAGES.  */
#undef HAVE_LC_MESSAGES

/* Define to 1 if NLS is requested.  */
#undef ENABLE_NLS

/* Define as 1 if you have catgets and don't want to use GNU gettext.  */
#undef HAVE_CATGETS

/* Define as 1 if you have gettext and don't want to use GNU gettext.  */
#undef HAVE_GETTEXT

/* Define as 1 if you have the stpcpy function.  */
#undef HAVE_STPCPY

/* __NORETURN define - usually a GCC extension. */
#undef __NORETURN

/* __NORETURN2 define - usually a GCC extension. */
#undef __NORETURN2

/* Turn on debugging to stderr. */
#undef DEBUG

/* Disable runtime assertion checks. */
#undef NDEBUG

/* LINE_MAX from <limits.h>, provide default if not defined. */
#undef HAVE_LINE_MAX
#undef LINE_MAX

/* CBAUD define, may be missing. */
#undef HAVE_CBAUD
#undef CBAUD

/* CBAUDEX define, may be missing. */
#undef HAVE_CBAUDEX
#undef CBAUDEX

/* CRTSCTS define, may be missing. */
#undef HAVE_CRTSCTS
#undef CRTSCTS

/* _POSIX_VDISABLE define, may be missing. */
#undef HAVE__POSIX_VDISABLE
#undef _POSIX_VDISABLE

/* FD_SETSIZE define, may be missing. */
#undef HAVE_FD_SETSIZE

/* offsetof() define, may be missing. */
#undef HAVE_OFFSETOF

/* snprintf(3) unsafe emulation */
#undef HAVE_SNPRINTF

/* vsnprintf(3) unsafe emulation */
#undef HAVE_VSNPRINTF

/* found lockfile directory */
#undef DEF_LOCKFILE

/* how to declare __atribute__ ((__unused__)) */
#undef ATTR_UNUSED

/* whether they have __atttribute__ ((format(printf,...))) */
#undef HAVE_PRINTFORMAT
#ifdef HAVE_PRINTFORMAT
#define ATTR_PRINTFORMAT(a,b) __attribute__ ((format(printf,(a),(b))))
#else
#define ATTR_PRINTFORMAT(a,b)
#endif

@BOTTOM@

#ifdef WANT_DECLARATIONS

/* Declaration for gethostname(3)? */
#undef NEED_DECLARATION_GETHOSTNAME
#ifdef NEED_DECLARATION_GETHOSTNAME
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
int gethostname(char *name, size_t len);
#endif

/* Declaration for kill(2)? */
#undef NEED_DECLARATION_KILL
#ifdef NEED_DECLARATION_KILL
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SIGNAL_H
#include <signal.h>
#endif
int kill(pid_t pid, int sig);
#endif

/* Declaration for snprintf(3)? */
#undef NEED_DECLARATION_SNPRINTF
#ifdef NEED_DECLARATION_SNPRINTF
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
int snprintf(char *str, size_t n, const char *format, ...);
#endif

/* Declaration for vsnprintf(3)? */
#undef NEED_DECLARATION_VSNPRINTF
#ifdef NEED_DECLARATION_VSNPRINTF
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
#ifdef HAVE_STDARG_H
#include <stdarg.h>
#endif
int vsnprintf(char *str, size_t n, const char *format, va_list ap);
#endif

/* Declaration for strdup(3)? */
#undef NEED_DECLARATION_STRDUP
#ifdef NEED_DECLARATION_STRDUP
#ifdef HAVE_STRING_H
#include <string.h>
#endif
char *strdup(const char *s);
#endif

/* Declaration for usleep(3)? */
#undef NEED_DECLARATION_USLEEP
#ifdef NEED_DECLARATION_USLEEP
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
void usleep(unsigned long usec);
#endif

/* Declaration for strcasecmp(3)? */
#undef NEED_DECLARATION_STRCASECMP
#ifdef NEED_DECLARATION_STRCASECMP
#ifdef HAVE_STRING_H
#include <string.h>
#endif
int strcasecmp(const char *s1, const char *s2);
#endif

/* Declaration for siginterrupt(3)? */
#undef NEED_DECLARATION_SIGINTERRUPT
#ifdef NEED_DECLARATION_SIGINTERRUPT
#ifdef HAVE_SIGNAL_H
#include <signal.h>
#endif
int siginterrupt(int sig, int flag);
#endif

/* Declaration for popen(3)? */
#undef NEED_DECLARATION_POPEN
#ifdef NEED_DECLARATION_POPEN
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
FILE *popen(const char *command, const char *type);
#endif

/* Declaration for pclose(3)? */
#undef NEED_DECLARATION_PCLOSE
#ifdef NEED_DECLARATION_PCLOSE
#ifdef HAVE_STDIO_H
#include <stdio.h>
#endif
int pclose(FILE *stream);
#endif

/* Declaration for gettext(3)? */
#undef NEED_DECLARATION_GETTEXT
#ifdef NEED_DECLARATION_GETTEXT
#ifdef HAVE_LIBINTL_H
#include <libintl.h>
#endif
extern const char *gettext(const char *msgid);
#endif

#endif /* WANT_DECLARATIONS */

/* snprintf(3) unsafe emulation */
#ifdef HAVE_SNPRINTF
#define VARPRINTF(v,f,d)               snprintf((v),sizeof((v)),f,(d)                     )
#define VARPRINTF2(v,f,d1,d2)          snprintf((v),sizeof((v)),f,(d1),(d2)               )
#define VARPRINTF5(v,f,d1,d2,d3,d4,d5) snprintf((v),sizeof((v)),f,(d1),(d2),(d3),(d4),(d5))
#else
#define VARPRINTF(v,f,d)               sprintf((v),f,(d)                     )
#define VARPRINTF2(v,f,d1,d2)          sprintf((v),f,(d1),(d2)               )
#define VARPRINTF5(v,f,d1,d2,d3,d4,d5) sprintf((v),f,(d1),(d2),(d3),(d4),(d5))
#endif

/* vsnprintf(3) unsafe emulation */
#ifdef HAVE_VSNPRINTF
#define VARVPRINTF(v,f,d)      vsnprintf((v),sizeof((v)),f,(d)      )
#define VARVPRINTF2(v,f,d1,d2) vsnprintf((v),sizeof((v)),f,(d1),(d2))
#else
#define VARVPRINTF(v,f,d)      vsprintf((v),f,(d)      )
#define VARVPRINTF2(v,f,d1,d2) vsprintf((v),f,(d1),(d2))
#endif

#ifndef HAVE_STRERROR
extern char *sys_errlist[];
#define strerror(i) sys_errlist[i]
#endif

#ifndef HAVE_STRCHR
#define strchr index
#endif

#ifndef HAVE_STRRCHR
#define strrchr rindex
#endif

#ifdef HAVE_STRCASECMP
#define strtrycasecmp strcasecmp
#else
#define strtrycasecmp strcmp
#endif

#ifndef HAVE_OFFSETOF
#define offsetof(a,b) ((size_t)&((a *)0)->b)
#endif

#ifdef WANT_DECLARATIONS
/*
 * Handles all of the internationalization configuration options.
 * Author: Tom Tromey <tromey@creche.cygnus.com>
 * Stolen from <libgnome/gnome-i18n.h>
 * Modified by Jan Kratochvil <short@ucw.cz>
 */
#ifdef ENABLE_NLS
#ifdef HAVE_LIBINTL_H
#    include <libintl.h>
#endif /* HAVE_LIBINTL_H */
#    define _(String) gettext (String)
#    ifdef gettext_noop
#        define N_(String) gettext_noop (String)
#    else
#        define N_(String) (String)
#    endif
#else /* ENABLE_NLS */
/* Stubs that do something close enough.  */
#    define textdomain(String) (String)
#    define gettext(String) (String)
#    define dgettext(Domain,Message) (Message)
#    define dcgettext(Domain,Message,Type) (Message)
#    define bindtextdomain(Domain,Directory) (Domain)
#    define _(String) (String)
#    define N_(String) (String)
#endif /* ENABLE_NLS */
#endif /* WANT_DECLARATIONS */
